Billing
Redeem a credit code
POST
/
v1
/
credits
/
redeem
Redeem a credit code
curl --request POST \
--url https://api.veri.studio/v1/credits/redeem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"workspace_id": "<string>"
}
'import requests
url = "https://api.veri.studio/v1/credits/redeem"
payload = {
"code": "<string>",
"workspace_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', workspace_id: '<string>'})
};
fetch('https://api.veri.studio/v1/credits/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"amount_usd": 123,
"balance_usd": 123
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Body
application/json
The workspace to credit: its id (ws_...), its Clerk
organization id (org_...), or your user id for your personal
workspace. You must be a member. Omitted = the request's active
workspace. The code is still redeemable once per person, whichever
workspace is named.
Redeem a credit code
curl --request POST \
--url https://api.veri.studio/v1/credits/redeem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"workspace_id": "<string>"
}
'import requests
url = "https://api.veri.studio/v1/credits/redeem"
payload = {
"code": "<string>",
"workspace_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', workspace_id: '<string>'})
};
fetch('https://api.veri.studio/v1/credits/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"amount_usd": 123,
"balance_usd": 123
}
